<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
require_once 'clases/excel/reader.php';

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>"")?$varForm["cod"]:"NULL";
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	
	$sql = "call spQuery_Inventario($varCod, '$varForm[nam]', $varFie, $varOrd)";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar);
	return $respuestaXajax;
	}

function xFormuRegistro($varCod, $varOpt) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuRegistro($varCod, $varOpt);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varError = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varError=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n".$varError."\nVERIFIQUE LOS DATOS POR FAVOR");
	
	return $respuestaXajax;
	}

function xFormuVerificar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuVerificar($varForm);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", utf8_encode($varTabla));
	return $respuestaXajax;
	}
	
function xEliminar($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsInventario($var[0],$var[1],$var[2],$var[3],$var[4]);
	$obj->ProcesoEliminar($varCod);	
	return true;
	}
			
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xFormuVerificar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}
	function xVerificarJS() {
		var varArch = document.getElementById('arc').value;
		var varExte = varArch.split('.');
		
		if (document.getElementById('arc') && document.getElementById('arc').value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN ARCHIVO");  
			document.getElementById('arc').focus();
			return (false); 
			}
		else if(varExte[varExte.length-1].toLowerCase() != 'xls') {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nSOLO SOPORTA ARCHIVOS .XLS");  
			document.getElementById('arc').focus();
			return (false);
			}
		else {
			xajax_xFormuVerificar(xajax.getFormValues('form'));
			}
		}
	function xEliminarJS(varCod, varNom, varTab) {

		if(confirm('¿ESTA SEGURO DE ELIMINAR EL REGISTRO?\n====================================\nCodigo \t: '+varCod+'\nNombre \t: '+varNom)) {			
			xajax_xEliminar(varCod);
			EliminarFilaTabla(varTab)
			}
				
		}
	function FormuRegistroJS(varCod, varOpt) {
		UnTip();
		xajax_xFormuRegistro(varCod, varOpt);		
		}
	function valida_grabar() { 	
		if (document.formgrabar.error && document.formgrabar.error.value=="SI") { 
			alert("ERROR AL GRABAR DATOS...!!!!!\nEL ARCHIVO CONTIENE ALGUNOS ERRORES\nDEBE CORREGIRLOS VOLVER A INTENTARLO");
			document.formgrabar.error.focus()
			return (false); 
			}
		if (document.getElementById('nam') && document.getElementById('nam').value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN TITULO AL INVENTARIO");
			document.getElementById('nam').focus()
			return (false); 
			}
		if (document.getElementById('femi') && document.getElementById('femi').value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UNA FECHA DEL INVENTARIO");
			document.getElementById('femi').focus()
			return (false); 
			}
		else {
			return true
			}
		}
</script>
<?php
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	$Link = $_SERVER['PHP_SELF'];
	if(!isset($Opcion)) {
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"430", "clase"=>"FormTitulo", "titulo"=>$varTitulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$varTitulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Codigo :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
										 "campo" =>array("tipo"=>"texto", "id"=>"cod", "name"=>"cod", "valor"=>$_POST["cod"], 
										 "alinear"=>"center", "ancho"=>"70")),								   
								   array("titulo"=>"Descripci&oacute;n :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo" =>array("tipo"=>"texto", "id"=>"nam", "name"=>"nam", "valor"=>$_POST["nam"], "ancho"=>"306"))								   
								   ),
					  "boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"100", "texto"=>"Buscar",
					  					   "clase"=>"boton_buscar", "click"=>"javascript:xBuscarJS()"),
									 array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"100", "texto"=>"Exportar",
									 	   "clase"=>"boton_exportar"),								
									 array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"100", "texto"=>"Nuevo", 
										   "clase"=>"boton_nuevo", "click"=>"location='$Link?opt=NEW'"),
									 )
					);
		echo $obj->setTablaForm($varTabla);
		$varCod = (isset($_POST["cod"]) && $_POST["cod"]<>"")?$_POST["cod"]:"NULL";
		$sql = "call spQuery_Inventario($varCod, '$_POST[nam]', NULL, NULL)";
		$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"800", "sql_cab"=>$sql,	"pages"=>20,
					    "conte"=>array(array("titulo"=>"CINV",     "ancho"=>"40" , "alinear"=>"center", "clase"=>"sortable-numeric", "tipo"=>"texto"), 
									   array("titulo"=>"DESCRIPCION",    "ancho"=>"300", "fijo"=>"SI", "funcion"=>array("contar")),
									   array("titulo"=>"FECHA",  "ancho"=>"100", "alinear"=>"center", "fijo"=>"SI"),
									   array("titulo"=>"FCREADO",  "ancho"=>"100", "alinear"=>"center", "fijo"=>"SI"),
									   array("titulo"=>"FUPDATE",  "ancho"=>"100", "alinear"=>"center", "fijo"=>"SI"),
									   array("titulo"=>"UCREADO",  "ancho"=>"50", "alinear"=>"center"),
									   array("titulo"=>"UUPDATE",  "ancho"=>"50", "alinear"=>"center")
									   ), 
						"boton"=>array(array("tipo"=>"img", "id"=>"bbus", "name"=>"bbus", "img"=>"images/b_table_edit.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>EDITAR</b> EL REGISTRO<br><b>"),
																	 array("valor"=>0, "tipo"=>"INDEX"),
																	 array("valor"=>" - "),
																	 array("valor"=>1, "tipo"=>"INDEX"),
																	 array("valor"=>"</b>")
																	),
												 "click"=>array("funcion"=>"FormuRegistroJS",
																"param"=>array(array("valor"=>0, 	  "tipo"=>"INDEX"),
																			   array("valor"=>"EDIT", "tipo"=>"TEXTO")
																			  )
																)
												 
												),
										   array("tipo"=>"img", "id"=>"badd", "name"=>"badd", "img"=>"images/b_table_delete.png", 
												 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>ELIMINAR</b> EL REGISTRO<br><b>"),
																	 array("valor"=>0, "tipo"=>"INDEX"),
																	 array("valor"=>" - "),
																	 array("valor"=>1, "tipo"=>"INDEX"),
																	 array("valor"=>"</b>")
																	),
												 "click"=>array("funcion"=>"xEliminarJS",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>"this", "tipo"=>"NUM"),
																			   )
																)
												 )
										)
							);
		echo $obj->SetGridTabla($varTabla);
		}
	elseif($Opcion=="NEW") {
		if(!isset($_GET[brev])) {
			$varForm.= '<form id="form" name="form" method="GET" >
						<table style="padding:0;margin-top:0px;border-collapse:collapse;" id="tabla" name="table" width="450" align="center"  cellpadding="0" cellspacing="0">
						<tr>
						<td height=18 colspan=2 align=center valign=middle class="FormTitulo" >
						TOMA DE INVENTARIOS
						<input type="hidden"  id="titu"  name="titu"  value="TOMA DE INVENTARIOS"  style=" " autocomplete="off">
						<input type="hidden"  id="opt"  name="opt" value="NEW" style=" " autocomplete="off">
						</td>
						</tr>
						<tr>
						<td width="80" class="FormCampo1" >Nombre :</td>
						<td class="interior" >
						<input type="text"  id="name"  name="name"  readonly  class="inputDisable"  style=" width:332px;" value="'.$_GET[name].'">
						</td>
						</tr>
						<tr>
						<td class="FormCampo1" >Archivo :</td>
						<td class="interior" height="220" >';
			/*
			$kul_with_progress = new KoolUploader("kul_with_progress");
			$kul_with_progress->scriptFolder = "clases/KoolUploader";
			$kul_with_progress->handlePage = "subirInventario.php";	
			$kul_with_progress->styleFolder="clases/KoolUploader/styles/default";
			$kul_with_progress->height="200px";
			$kul_with_progress->width="320px";
			$kul_with_progress->allowedExtension = "xls, xlsx";
			$kul_with_progress->maxFileSize = 512*1024; //500KB
			$kul_with_progress->progressTracking = true;
			
			$kul_with_progress->texts["BUTTON_UPLOAD"]="Subir";
			$kul_with_progress->texts["BUTTON_REMOVE"]="Eliminar";
			$kul_with_progress->texts["MESSAGE_UPLOAD_FAILED"]	  = "Error al Subir Archivo";
			$kul_with_progress->texts["MESSAGE_FILE_NOT_ALLOWED"] = "Archivo no Soportado Solo .XLS, .XLSX";
			$kul_with_progress->texts["MESSAGE_UPLOAD_SUCCESSFUL"]= "Archivo Subido Correctamente";
		*/
			$varForm.= $kul_with_progress->Render();
			$varForm.= '</td>
						</tr>
						<tr>
						<td height=20 colspan=2 align=center valign=middle class="FormTitulo" >
						<input  id="brev"  name="brev"  type="submit"  value="Verificar"  class="boton_ok"  onclick="javascrip:xVerificarJS()"  style="cursor:pointer; width:100px;"/>&nbsp;<input  id="breg"  name="breg"  type="button"  value="Cancelar"  class="boton_cancelar"  onclick="location=\''.$_SERVER['PHP_SELF'].'\'"   style="cursor:pointer; width:100px;"/>&nbsp;</td><tr></table></form>';
			echo $varForm;
			?>
			<script type="text/javascript">
			kul_with_progress.registerEvent("OnBeforeUpload",function(sender,arg){
			
				var _items = kul_with_progress.getItems(); //Get all items
				for(var i in _items) {			
					form.name.value = _items[i].getFileName();
					}				
				return true;
			}
			);	
			</script>
			<?
			}
		if(isset($_GET[brev])) {
			$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"FormTitulo", "titulo"=>"GUARDAR INVENTARIO",
							"ocult"=>array(array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$varOpt)
										  ),
							"conte"=>array(array("titulo"=>"Archivo :", "clase1"=>"FormCampo1", "clase2"=>"interior", "tamano"=>"100",
												 "campo" =>array("tipo"=>"texto", "id"=>"arc", "name"=>"arc", "clase"=>"inputDisable",
												 "valor"=>$_GET[name], "locked"=>"SI", "ancho"=>"300")),								   
										   array("titulo"=>"Titulo :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
												 "campo" =>array("tipo"=>"texto", "id"=>"nam", "name"=>"nam", "valor"=>$Fila["nombre"], "ancho"=>"300")),
										   array("titulo"=>"Fecha :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
												 "campo" =>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "valor"=>$Fila["nombre"], "ancho"=>"100",
												 				 "clase"=>"inputDisable","locked"=>"SI", "alinear"=>"center")),
										   array("titulo"=>"Descripcion :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
												 "campo" =>array("tipo"=>"area", "id"=>"des", "name"=>"des", "valor"=>$Fila["referencia"], "ancho"=>"300")),
										   ),
							"boton"=>array(array("tipo"=>"submit", "id"=>"bsav", "name"=>"bsav", "ancho"=>"150",
												 "clase"=>"boton_guardar", "texto"=>"Grabar Inventario", "click"=>"javascrip:xGrabarJS()"),			  
										   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"100",
												 "clase"=>"boton_cancelar", "texto"=>"Cancelar", "click"=>"location='".$_SERVER['PHP_SELF']."?opt=NEW'"),
										)
							);
			echo "<form name=\"formgrabar\" method=\"POST\" action=\"\" onSubmit=\"return valida_grabar()\">";
			echo $obj->setTablaForm($varTabla);	
			echo "<br>";
			$FormatCab = array(1=>"CPRO", 2=>"PRODUCTO", 3=>"UM", 4=>"SISTEMA", 5=>"FISICO");
			$Error = "NO";
			$tabla = new Spreadsheet_Excel_Reader();
			$tabla->setOutputEncoding('CP1251');
			$myfile = "file_inventario/".$_GET[name];
			$tabla->read($myfile);
			$NumFilas = $tabla->sheets[0]['numRows'];
			$NumCols = $tabla->sheets[0]['numCols'];	
			
			error_reporting(E_ALL ^ E_NOTICE);
			$Ancho = ($NumCols)*60+500;
			
			//Para Verificar UM
			$obj->AbrirConexion();
			$rs = $obj->Query("select id_um, nombre from _sv_unid_medida where _estado='A';");
			$obj->CerrarConexion();
			while($row = $obj->FetchArray($rs)) {
				$varUM[$row[0]] = $row[1];
				}
			//Para Verificar Producto
			$obj->AbrirConexion();
			$rs = $obj->Query("select id_producto, descripcion from _sv_producto where _estado='A';");
			$obj->CerrarConexion();
			while($row = $obj->FetchArray($rs)) {
				$varPro[$row[0]] = $row[1];
				}
		
			
			echo "<table id=Detalle style=\"padding:0;margin-left:15px;border-collapse:collapse;\" ";
			echo "width=400 align=center cellpadding=0 cellspacing=0>";;
			echo "<tr><td class=\"FormTitulo\" height=\"24\"  align=\"center\" >VERIFICACION DE CABECERAS DE ARCHIVO</td></tr>";
			
							
			for ($col = 1; $col <= $NumCols; $col++) {		
					$Valor = $tabla->sheets[0]['cells'][1][$col];
					if($Valor<>$FormatCab[$col]) {
						echo "<tr><td class=Incorrecto>";
						echo "Columna ".str_pad($col, 2, "0", STR_PAD_LEFT)." => <b>$Valor</b> es incorrecto deberia decir <b>$FormatCab[$col]</b>";
						echo "</td></tr>";
						$Error = "SI";
						}
					else {
						echo "<tr><td class=Correcto>";
						echo "Columna ".str_pad($col, 2, "0", STR_PAD_LEFT)." => <b>$Valor</b> es correcta";
						echo "</td></tr>";
						}
				}	
			echo "</table>";
			echo "<br>";	
		
			echo "<table class=\"matriz\" id=Detalle style=\"padding:0;margin-left:15px;border-collapse:collapse;\" ";
			echo "width=$Ancho align=center cellpadding=0 cellspacing=0>";
			
			$j=0;
			$color1 = "#F5FAFA";
			$color2 = "#edf3f3";
			$colors = "#FFFF33";		
			$bgcolor1 = "bgcolor=$color1 onMouseOver=\"uno(this,'$colors')\"";
			$bgcolor1.= "onMouseOut=\"dos(this,'$color1')\"";		
			$bgcolor2 = "bgcolor=$color2 onMouseOver=\"uno(this,'$colors')\"";
			$bgcolor2.= "onMouseOut=\"dos(this,'$color2')\"";
			$varSuma = 0;	
			for ($fila = 1; $fila <= $NumFilas; $fila++) {
				$j++;
				$varTipo = $tabla->sheets[0]['cells'][$fila][1];
				
				if($j%2==0) echo "<tr $bgcolor1>";
				else echo "<tr $bgcolor2>";

				for ($col = 1; $col <= $NumCols; $col++) {
					if($fila>2&& $col>3) {
						$valor = number_format($tabla->sheets[0]['cells'][$fila][$col],2,'.',',');						
						}	
					else {
						$valor = $tabla->sheets[0]['cells'][$fila][$col]."";
						}
					if($fila==1) {
						$Clase = "FormTitulo";				
						if($col==1) $Tamano = "width=\"20\"";
						elseif($col==2) $Tamano = "width=\"400\"";
						elseif($col==3) $Tamano = "width=\"40\"";
						else $Tamano = "width=\"60\"";
						}
					else {
						$Clase = "interior";						
						}
					$MsjError = "";
					if($col==1) { // columna Codigo
						$Alinear = "align=\"center\"";
						}
					elseif($col==2) {
						$varAlto = " height=21";
						$Alinear = "align=\"left\"";
						$codPro = $tabla->sheets[0]['cells'][$fila][1];			
						if(!array_key_exists($codPro, $varPro) && $fila<>1) {
							$valor = "<b>No Existe Codigo de Producto</b> ".$codPro." - ".$tabla->sheets[0]['cells'][$fila][$col];
							$Error = "SI";
							$Clase = "intIncorrecto";
							}
						else {
							$valor = $tabla->sheets[0]['cells'][$fila][$col];							
							}
						
						}
					elseif($col==3) {
						$Alinear = "align=\"center\"";
						$codUM = $tabla->sheets[0]['cells'][$fila][$col];			
						if(!array_key_exists($codUM, $varUM) && $fila<>1) {
							$valor = "<b>No Existe Unidad de Medida</b> ".$codUM;
							$Error = "SI";
							$Clase = "intIncorrecto";
							}
						else {
							$valor = $tabla->sheets[0]['cells'][$fila][$col];							
							}
						}
					elseif($col==4) { //Cantidad del Sistema
						$varCod = $tabla->sheets[0]['cells'][$fila][1];
						$varUme = $tabla->sheets[0]['cells'][$fila][3];
						$Alinear = "align=\"right\"";
						$sqlsis = "select cantidad from _sv_kardex where _estado='A' and id_almacen=1 and id_producto = '$varCod'";
						$obj->AbrirConexion();
						$rssis = $obj->Query($sqlsis);
						$obj->CerrarConexion();
						$filasis = $obj->FetchArray($rssis);
						if($fila==1)  $varUme = $tabla->sheets[0]['cells'][$fila][$col];
						else {
							$valorSis = $filasis[0];
							$valor = number_format($filasis[0],"2",".",",");
							}
						}
					else {
						$Alinear = "align=\"right\"";
						}
			
					echo "<td class=$Clase $Alinear $Tamano $varAlto>";
					
					echo $valor;
					echo "</td>";		
					}
				if($fila==1) {
					echo "<td class=\"FormTitulo\" width=\"60\">DIFER. FAVOR</td>";
					echo "<td class=\"FormTitulo\" width=\"60\">DIFER. CONTRA</td>";
					echo "<td class=\"FormTitulo\" width=\"60\">PRECIO</td>";
					echo "<td class=\"FormTitulo\" width=\"60\">MONTO DIF.</td>";
					}
				else {
					$varCod = $tabla->sheets[0]['cells'][$fila][1];
					$varUme = $tabla->sheets[0]['cells'][$fila][3];
					//$valorSis = $tabla->sheets[0]['cells'][$fila][4];//
					$valorFis = $tabla->sheets[0]['cells'][$fila][5];
					$valorDif = $valorFis-$valorSis;
					if ($valorDif<0) {
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						echo "<td class=\"intIncorrecto\" align=\"right\" ><b>";					
						echo number_format($valorDif,2,'.',',');
						echo "</b></td>";
						//Buscamos precio minimo del Producto
						$sqlpre = "select min(precio) as precio from _sv_lista_producto where _estado='A' and id_producto = '$varCod' and id_um='$varUme'";
						$obj->AbrirConexion();
						$rspre = $obj->Query($sqlpre);
						$obj->CerrarConexion();
						$filapre = $obj->FetchArray($rspre);
						echo "<td class=\"interior\" align=\"right\" >".number_format($filapre["precio"],"5",".",",")."</td>";
						echo "<td class=\"interior\" align=\"right\" >".number_format($filapre["precio"]*$valorDif,"2",".",",")."</td>";
						$varSuma = $varSuma + round($filapre["precio"]*$valorDif,2);
						}
					elseif($valorDif>0) {
						$Clase = "intCorrecto";
						echo "<td class=\"intCorrecto\" align=\"right\" ><b>";					
						echo number_format($valorDif,2,'.',',');
						echo "</b></td>";
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						//Buscamos precio minimo del Producto
						$sqlpre = "select min(precio) as precio from _sv_lista_producto where _estado='A' and id_producto = '$varCod' and id_um='$varUme'";
						$obj->AbrirConexion();
						$rspre = $obj->Query($sqlpre);
						$obj->CerrarConexion();
						$filapre = $obj->FetchArray($rspre);
						echo "<td class=\"interior\" align=\"right\" >".number_format($filapre["precio"],"5",".",",")."</td>";
						echo "<td class=\"interior\" align=\"right\" >".number_format($filapre["precio"]*$valorDif,"2",".",",")."</td>";
						$varSuma = $varSuma + round($filapre["precio"]*$valorDif,2);
						}
					else {
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						echo "<td class=\"interior\" align=\"right\" >&nbsp;</td>";
						}					
					}				
				echo "</tr>";				
				}
			echo "<tr>";
			echo "<td class=\"FormTituloSub\" colspan=\"8\" height=\"22\">&nbsp;&nbsp;MONTO TOTAL DE DIFERENCIA EN LA TOMA DE INVENTARIO : </td>";
			echo "<td class=\"FormTituloSub\" align=\"right\" >".number_format($varSuma,"2",".",",")."</td>";
			echo "</tr>";			
			echo "</table>";
			echo '<input name="error" type="hidden" id="error" value="'.$Error.'">';
			echo "</form>";
			}
		}
	if(isset($_POST[bsav])) 
		{
		$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
		$varNam = (isset($_POST["nam"]) && $_POST["nam"]<>"")?"'$_POST[nam]'":"NULL";
		$varFec = (isset($_POST["femi"]) && $_POST["femi"]<>"")?"'".FechaMySql($_POST[femi])."'":"NULL";
		$varDes = (isset($_POST["des"]) && $_POST["des"]<>"")?"'$_POST[des]'":"NULL";
		$sql = "call spMante_Inventario_Cab('NEW',NULL,$varNam, $varFec, $varDes, $varUsr);";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$fila = $obj->FetchArray($rs);
		$varCod = $fila[0];
		$sqldet = "";
		for ($fila = 1; $fila <= $NumFilas; $fila++) {
			if($fila<>1) {
				$varPro = $tabla->sheets[0]['cells'][$fila][1];
				$varUMe = $tabla->sheets[0]['cells'][$fila][3];
				$varFis = $tabla->sheets[0]['cells'][$fila][5];
				$sqldet.= "call spMante_Inventario_Det($varCod, $varFec, '$varPro', '$varUMe', $varFis, $varUsr);";					
				}		
			}
		$obj->AbrirConexion();	
		$obj->Query($sqldet);	
		$obj->CerrarConexion();
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
	} 
	} 
?>